package com.hzs.sale.util;

import com.hzs.common.core.utils.StringUtils;
import com.hzs.common.core.utils.reflect.ReflectUtils;

import java.util.Map;

/**
 * @Description: 订单工具
 * @Author: jiang chao
 * @Time: 2023/3/10 15:13
 * @Classname: OrderUtil
 * @PackageName: com.hzs.sale.util
 */
public class OrderUtil {

    /**
     * 处理地址（省、市、县）
     *
     * @param areaMap 地址map
     * @param data    处理实体
     * @param <T>
     */
    public static <T> void handleOrderAddress(Map<Integer, String> areaMap, T data) {
        String recProvince = areaMap.get(ReflectUtils.invokeGetter(data, "recProvince"));
        if (StringUtils.isNotEmpty(recProvince)) {
            ReflectUtils.invokeSetter(data, "recProvinceVal", recProvince);
        }
        String recCity = areaMap.get(ReflectUtils.invokeGetter(data, "recCity"));
        if (StringUtils.isNotEmpty(recCity)) {
            ReflectUtils.invokeSetter(data, "recCityVal", recCity);
        }
        String recCounty = areaMap.get(ReflectUtils.invokeGetter(data, "recCounty"));
        if (StringUtils.isNotEmpty(recCounty)) {
            ReflectUtils.invokeSetter(data, "recCountyVal", recCounty);
        }
    }

}
